/* Header
============================================= */
header {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 90px;
  padding-top: 35px;
  padding-right: 40px;
  padding-bottom: 0px;
  padding-left: 40px;
  // z-index: 10;
  &:focus {
    text-decoration: none;
    border: none;
  }
}

header:after {
  content: "";
  position: absolute;
  display: inline-block;
  bottom: -30px;
  right: 0;
  left: 0;
  width: 100%;
  height: 5px;
  background: $color_black;
  @extend %base-transition;
}

.header-center {
  align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
}

/* Header logo
============================================= */

.header-item-logo {
  position: relative;
  z-index: 30;
  margin-right: 100px;
  a {
    // color: $color_black;
    &:hover {
      text-decoration: none;
    }
  }
  @extend %base-transition;
}

#header-logo {
  font-weight: 800;
  img {
    width: 40px;
    height: auto;
    @extend %base-transition;
  }
}

/* Header item
============================================= */
.header-item {
  font-weight: 500;
  font-size: 1em;
  margin-right: 50px;
  cursor: initial;
  a {
    color: transparentize($color_black, 0.5);
  }
  &:hover {
    a {
      color: $color_black;
      text-decoration: none;
    }
    .custom-icon {
      path {
        fill: $color_purple;
      }
    }
  }
  // vertical-align: middle;
  @extend %base-transition;
  .custom-icon {
    margin-right: 20px;
    path {
      fill: transparentize($color_black, 0.5);
    }
  }
  .router-link-exact-active {
    color: $color_black !important;
    path {
      fill: $color_purple !important;
    }
  }
}

/* Header burger
============================================= */
#header-burger {
  position: relative;
  border: 0;
  width: 60px;
  height: 60px;
  margin-right: -17px;
  border-radius: 50%;
  padding: 5px;
  background: transparent;
  font-size: 0;
  -webkit-transition: all 0.25s;
  -o-transition: all 0.25s;
  transition: all 0.25s;
  z-index: 30;
}

#header-burger:before,
#header-burger:after {
  content: "";
  display: inline-block;
  width: 30px;
  background: $color_black;
  -webkit-transition: -webkit-transform 0.25s;
  transition: -webkit-transform 0.25s;
  -o-transition: transform 0.25s;
  transition: transform 0.25s;
  transition: transform 0.25s, -webkit-transform 0.25s;
}

#header-burger:before {
  height: 2px;
  margin-bottom: 4px;
}

#header-burger:after {
  height: 3px;
  margin-top: 4px;
}

#header-burger:hover {
  opacity: 0.85;
}

#header-burger:focus {
  border: 0;
  outline: none;
}

#header-burger.active {
  background: $color_purple;
}

#header-burger.active:before,
#header-burger.active:after {
  background: $color_full_white;
}

#header-burger.active:before {
  -webkit-transform: translateY(5px) rotate(45deg);
  -ms-transform: translateY(5px) rotate(45deg);
  transform: translateY(5px) rotate(45deg);
}

#header-burger.active:after {
  height: 2px;
  -webkit-transform: translateY(-5px) rotate(-45deg);
  -ms-transform: translateY(-5px) rotate(-45deg);
  transform: translateY(-5px) rotate(-45deg);
}

#locale-switcher {
  position: relative;
  user-select: none !important;
  span {
    cursor: pointer;
    margin-right: 20px;
  }
  .active {
    font-weight: 800;
    color: $color_purple;
  }
  #separate {
    &::after {
      content: "";
      position: absolute;
      display: inline-block;
      right: 0px;
      left: 30px;
      top: 7px;
      width: 2px;
      height: 13px;
      background: $color_black;
      @extend %base-transition;
    }
  }
}
